#include <stdio.h>

int main(void) {

			int N;
	        int k;
	        scanf("%d",&N);
	        scanf("%d",&k);
	        int niz[N];

	        for (int i = 0; i < N; i++) {
	        	scanf("%d",&niz[i]);

	        }
	        int s = 0;
	      if (k == 0) {
	            for (int j = 0; j < N; j++) {
	                s += niz[j];
	            }
	    } else {
	        for (int i = 0; i < N; i++) {
                for (int j = i; j < N; j++) {
                    s += niz[j];
               }
            }

            s *= (k + 1);
            s += k;
	        }

	       printf("%d",s);

	       return 0;
}